Bug 1899535 - ds/machine-config-daemon takes 100+ minutes to rollout on 250 node cluster
Summary: ds/machine-config-daemon takes 100+ minutes to rollout on 250 node cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Antonio Murdaca
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On: 1867608
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-19 14:01 UTC by OpenShift BugZilla Robot
Modified: 2021-02-08 13:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-08 13:50:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2240 0 None closed [release-4.6] Bug 1899535: ds/machine-config-daemon: Set maxUnavailable 10% 2021-02-10 22:12:52 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:05 UTC

Internal Links: 1959258

Comment 3 Micah Abbott 2021-02-03 17:04:05 UTC
Verified with 4.6.0-0.nightly-2021-02-03-095533

```
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-02-03-095533   True        False         19m     Cluster version is 4.6.0-0.nightly-2021-02-03-095533

$ oc -n openshift-machine-config-operator get ds/machine-config-daemon -o yaml | grep -A 4 updateStrategy 
        f:updateStrategy:
          f:rollingUpdate:
            .: {}
            f:maxUnavailable: {}
          f:type: {}
--
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 10%
    type: RollingUpdate
status:
```

Comment 5 errata-xmlrpc 2021-02-08 13:50:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.